Subject: Re: bug#22147: Obsolete search-forward-lax-whitespace

From: Artur Malabarba <[email-masked]>
Date: Thu, 17 Dec 2015 16:33:47 +0000

On 17 Dec 2015 12:57 am, "Juri Linkov" <[email-masked]> wrote:
>
> >> I mean a char-folding customization that allows a search
> >> for “ä” match “a”.  Is this already possible?
> >
> > Not yet.
> > I do want to expose more char folding options, but I want to wait for
> > emacs-25 to come out first, to see if and how people will use this
feature.
>
> char-fold-symmetric could wait for later, but we definitely need
> char-fold-ad-hoc now before the release because the users should be
> able to customize the default rules.

Indeed. 👍
Once we do that, we also need a variable to determine whether we should
derive the default table from the unicode standard (like we currently do)
or just use an empty default with the ad-hoc rules slapped on top.